## minc 2.0.14

=== conversion/CMakeLists.txt ===
# CMakeFiles.txt for the MINC2 conversion progs
#
# Andrew Janke - a.janke@gmail.com

LINK_DIRECTORIES(../)
LINK_LIBRARIES( minc2 ${NETCDF_LIBRARY} ${HDF5_LIBRARY} )
ADD_DEFINITIONS(-DHAVE_CONFIG_H)


# conversion progs (and libraries)
INCLUDE_DIRECTORIES(Acr_nema)
ADD_LIBRARY(acr_nema STATIC 
   Acr_nema/acr_io.c
   Acr_nema/dicom_client_routines.c
   Acr_nema/dicom_network.c
   Acr_nema/element.c
   Acr_nema/file_io.c
   Acr_nema/globals.c
   Acr_nema/group.c
   Acr_nema/message.c
   Acr_nema/value_repr.c)
#INSTALL(TARGETS acr_nema DESTINATION lib)

ADD_EXECUTABLE(../dcm2mnc
   dcm2mnc/dcm2mnc.c
   dcm2mnc/dicom_to_minc.c
   dcm2mnc/siemens_to_dicom.c
   dcm2mnc/dicom_read.c
   dcm2mnc/minc_file.c
   dcm2mnc/progress.c
   dcm2mnc/string_to_filename.c)
TARGET_LINK_LIBRARIES(../dcm2mnc acr_nema )

ADD_EXECUTABLE(../ecattominc
   ecattominc/ecattominc.c
   ecattominc/insertblood.c
   ecattominc/ecat_file.c
   ecattominc/machine_indep.c
   )
ADD_EXECUTABLE(../minctoecat
   minctoecat/minctoecat.c
   minctoecat/ecat_write.c
   minctoecat/machine_indep.c
   )
TARGET_LINK_LIBRARIES(../minctoecat volume_io2 minc2)

ADD_EXECUTABLE(../mnc2nii
   nifti1/mnc2nii.c
   nifti1/nifti1_io.c
   nifti1/znzlib.c
   )
ADD_EXECUTABLE(../nii2mnc
   nifti1/nii2mnc.c
   nifti1/nifti1_io.c
   nifti1/znzlib.c
   )
TARGET_LINK_LIBRARIES(../nii2mnc volume_io2 minc2)

ADD_EXECUTABLE(../upet2mnc
   micropet/upet2mnc.c
   )

ADD_EXECUTABLE(../vff2mnc
   vff2mnc/vff2mnc.c
   )


# install progs
INSTALL(TARGETS
   ../dcm2mnc
   ../ecattominc
   ../minctoecat
   ../mnc2nii
   ../nii2mnc
   ../upet2mnc
   ../vff2mnc
   DESTINATION bin)

=== fortran/Makefile ===
# --------------------------------------------------------------------
#
# MINC fortran Makefile
#

ROOT = ..
include $(ROOT)/Make_machine_specific
include $(ROOT)/Make_configuration

# Executable names
PROGS    = minc_ftest
JACKETS_SRC  = minc_jackets.src
CDEFINES = #                        cpp defines
LDOPT    = $(MINC_LDOPT:-lc_s=)

# --------------------------------------------------------------------

CFLAGS    = $(CDEFINES) $(INCLUDES) $(OPT)# CFLAGS and LINTFLAGS should
LINTFLAGS = $(CDEFINES) $(INCLUDES)#        be same, except for -g/-O
FFLAGS    = $(INCLUDES) -O
JACKETS_C = $(JACKETS_SRC:.src=.c)
JACKETS_OBJ = $(JACKETS_SRC:.src=.o)
JACKETS_LN = $(JACKETS_SRC:.src=.ln)
PROG_OBJ  = $(PROGS:=.o)#                 list of objects

# --------------------------------------------------------------------

default: build 

all: build lint library test

# Make sure that we build the jackets first
build : $(JACKETS_OBJ) $(PROGS) library

#Dependency on Makefile
$(JACKETS_OBJ) $(JACKETS_LN) $(PROG_OBJ) : Makefile

.c.ln:#                                   defines the rule for creating .ln
	$(LINT) $(LINTFLAGS) -c $< -o $@

.c.o:#                                    defines the rule for creating .o
	$(CC) $(CFLAGS) -c $< -o $@

.f.o:#                                    defines the rule for creating .o
	$(FC) $(FFLAGS) -c $< -o $@

# How to make executables
$(PROGS) : $(TARGET_IN_DEPENDENCY).o $(CC_MINC_LIB)
	$(FC) -o $@ $@.o $(JACKETS_OBJ) $(FFLAGS) $(LDOPT)

# How to run test
test: $(PROGS)
	minc_ftest

# We no longer derive the C code from the .src file since the 
# m4 interface is not used by NetCDF 3.x and beyond
#$(JACKETS_C): $(JACKETS_SRC) 
#	$(NETCDF_FORTRAN_DIR)/fortc -L $(NETCDF_FORTRAN_DIR) -O $(OS_TYPE) \
#	              $(JACKETS_SRC) > $@.new && mv $@.new $@

#  how to lint the executable source
lint: $(JACKETS_LN)

# name of library
library: $(CC_MINC_LIB)

# how to update library
$(CC_MINC_LIB): $(JACKETS_OBJ)
	$(AR) $(AR_FLAGS) $(CC_MINC_LIB) $(JACKETS_OBJ)
	$(RANLIB) $(CC_MINC_LIB)


# Remove most derived files in this directory - leave jacket obj for library
mostlyclean:
	$(RM) $(RM_FLAGS) $(JACKETS_LN) \
                     $(PROGS) $(PROG_OBJ)

# Remove all derived files in this directory
clean:
	$(RM) $(RM_FLAGS) $(JACKETS_OBJ) $(JACKETS_LN) \
                     $(PROGS) $(PROG_OBJ)

install:
	$(CP) $(CP_FLAGS) minc.inc $(INSTALL_INCDIR)
	$(CHMOD) $(CHMOD_FLAGS) $(INSTALL_INCDIR)/minc.inc

## minc 2.0.15

=== CMakeLists.txt ===
# CMakeFiles.txt for the MINC2 library
#
# Andrew Janke - a.janke@gmail.com

PROJECT(libminc2)

SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake-modules")


#ADD_SUBDIRECTORY( testdir )
#ADD_SUBDIRECTORY( doc )


# Packaging defines
SET(CPACK_GENERATOR TGZ)
SET(CPACK_PACKAGE_VERSION_MAJOR 2)
SET(CPACK_PACKAGE_VERSION_MINOR 0)
SET(CPACK_PACKAGE_VERSION_PATCH 14)
INCLUDE(CPack)


SET(PACKAGE "minc")
SET(PACKAGE_BUGREPORT "a.janke@gmail.com")

SET(PACKAGE_NAME "minc")
SET(PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")


# yes, build as minc2
SET(MINC2 "1")
ADD_DEFINITIONS(-DHAVE_CONFIG_H)

# aliases
SET(VERSION "${PACKAGE_VERSION}")

# progs needed to build
#SET(FLEX_FIND_REQUIRED)
#SET(BISON_FIND_REQUIRED)
#FIND_PACKAGE(BISON)
#FIND_PACKAGE(FLEX)

# check for prereqs
INCLUDE(CheckFunctionExists)

CHECK_FUNCTION_EXISTS(mkstemp HAVE_MKSTEMP)
CHECK_FUNCTION_EXISTS(strerror HAVE_STRERROR)

INCLUDE(CheckIncludeFiles)
CHECK_INCLUDE_FILES(float.h HAVE_FLOAT_H)

# netcdf and HDF5
SET(NETCDF_FIND_REQUIRED TRUE)
SET(HDF5_FIND_REQUIRED TRUE)
FIND_PACKAGE(HDF5)
FIND_PACKAGE(NETCDF)
INCLUDE_DIRECTORIES( ${NETCDF_INCLUDE_DIR} ${HDF5_INCLUDE_DIR} )

# config files for build
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_SOURCE_DIR}/config.h)

# others
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/epm-header.in ${CMAKE_SOURCE_DIR}/epm-header)

# set the master INCLUDE directories
INCLUDE_DIRECTORIES(
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_SOURCE_DIR}/libsrc
   ${CMAKE_SOURCE_DIR}/libsrc2
   ${CMAKE_SOURCE_DIR}/volume_io/Include
   )

# some variables
SET(minc1_LIB_SRCS
   libsrc/ParseArgv.c
   libsrc/dim_conversion.c
   libsrc/image_conversion.c
   libsrc/minc_convenience.c
   libsrc/minc_error.c
   libsrc/minc_globdef.c
   libsrc/nd_loop.c
   libsrc/netcdf_convenience.c
   libsrc/time_stamp.c
   libsrc/value_conversion.c
   libsrc/voxel_loop.c
   libsrc/hdf_convenience.c
   libsrc/minc_compat.c
   libsrc/minc_simple.c
   )

SET(minc2_LIB_SRCS
   libsrc2/convert.c
   libsrc2/datatype.c
   libsrc2/dimension.c
   libsrc2/free.c
   libsrc2/grpattr.c
   libsrc2/hyper.c
   libsrc2/label.c
   libsrc2/m2util.c
   libsrc2/record.c
   libsrc2/slice.c
   libsrc2/valid.c
   libsrc2/volprops.c
   libsrc2/volume.c
   )


# build the main minc2 library
ADD_LIBRARY(minc2 STATIC ${minc1_LIB_SRCS} ${minc2_LIB_SRCS})
INSTALL(TARGETS minc2 DESTINATION lib)
INSTALL(FILES libsrc/minc.h libsrc/ParseArgv.h 
   libsrc/voxel_loop.h 
   libsrc/nd_loop.h
   libsrc/time_stamp.h
   libsrc/minc_compat.h
   volume_io/Include/volume_io.h
   libsrc2/minc2.h
   libsrc/minc_simple.h
   DESTINATION include
   )

SET_TARGET_PROPERTIES(minc2 PROPERTIES VERSION ${PACKAGE_VERSION} SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR})


# volume_io2
SET(volume_io2_LIB_SRCS
   volume_io/Geometry/colour.c
   volume_io/Geometry/colour_def.c
   volume_io/Geometry/gaussian.c
   volume_io/Geometry/inverse.c
   volume_io/Geometry/newton.c
   volume_io/Geometry/points.c
   volume_io/Geometry/splines.c
   volume_io/Geometry/tensors.c
   volume_io/Geometry/transforms.c
   volume_io/MNI_formats/gen_xf_io.c
   volume_io/MNI_formats/gen_xfs.c
   volume_io/MNI_formats/grid_transforms.c
   volume_io/MNI_formats/mni_io.c
   volume_io/MNI_formats/tag_points.c
   volume_io/MNI_formats/thin_plate_spline.c
   volume_io/Prog_utils/alloc.c
   volume_io/Prog_utils/alloc_check.c
   volume_io/Prog_utils/arrays.c
   volume_io/Prog_utils/files.c
   volume_io/Prog_utils/print.c
   volume_io/Prog_utils/progress.c
   volume_io/Prog_utils/string.c
   volume_io/Prog_utils/time.c
   volume_io/Volumes/evaluate.c
   volume_io/Volumes/get_hyperslab.c
   volume_io/Volumes/input_free.c
   volume_io/Volumes/input_mnc.c
   volume_io/Volumes/input_volume.c
   volume_io/Volumes/multidim_arrays.c
   volume_io/Volumes/output_mnc.c
   volume_io/Volumes/output_volume.c
   volume_io/Volumes/set_hyperslab.c
   volume_io/Volumes/volume_cache.c
   volume_io/Volumes/volumes.c
   )

# build and install volume_io2 library
ADD_LIBRARY(volume_io2 STATIC ${volume_io2_LIB_SRCS})
INSTALL(TARGETS volume_io2 DESTINATION lib)
INSTALL(FILES volume_io/Include/volume_io/alloc.h
	volume_io/Include/volume_io/arrays.h 
	volume_io/Include/volume_io/basic.h 
	volume_io/Include/volume_io/def_math.h 
	volume_io/Include/volume_io/files.h 
	volume_io/Include/volume_io/geom_structs.h 
	volume_io/Include/volume_io/geometry.h 
	volume_io/Include/internal_volume_io.h 
	volume_io/Include/volume_io/multidim.h 
	volume_io/Include/volume_io/progress.h 
	volume_io/Include/volume_io/string_funcs.h 
	volume_io/Include/volume_io/system_dependent.h 
	volume_io/Include/volume_io/transforms.h 
	volume_io/Include/volume_io/vol_io_prototypes.h 
	volume_io/Include/volume_io/volume.h 
	volume_io/Include/volume_io/volume_cache.h
   DESTINATION include/volume_io)

SET_TARGET_PROPERTIES(volume_io2 PROPERTIES VERSION ${PACKAGE_VERSION} SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR})


# now build the progs subdir
ADD_SUBDIRECTORY( progs )


# and then the conversion subdir
ADD_SUBDIRECTORY( conversion )

=== progs/CMakeLists.txt ===
# CMakeFiles.txt for the MINC2 progs
#
# Andrew Janke - a.janke@gmail.com

#SET(CMAKE_MODULE_PATH "../cmake-modules")

LINK_DIRECTORIES(../)
INCLUDE_DIRECTORIES(Proglib)
LINK_LIBRARIES( minc2 ${NETCDF_LIBRARY} ${HDF5_LIBRARY} )
ADD_DEFINITIONS(-DHAVE_CONFIG_H)

SET(BISON_FIND_REQUIRED)
SET(FLEX_FIND_REQUIRED)
FIND_PACKAGE(BISON)
FIND_PACKAGE(FLEX)

# all the progs
ADD_EXECUTABLE(../invert_raw_image mincview/invert_raw_image.c)
ADD_EXECUTABLE(../mincaverage mincaverage/mincaverage.c)

BISON_TARGET(../minccalc minccalc/gram.y minccalc/gram.c COMPILE_FLAGS "--debug")
FLEX_TARGET(../minccalc minccalc/lex.l minccalc/lex.c)
ADD_EXECUTABLE(../minccalc minccalc/minccalc.c
                           minccalc/gram.c
                           minccalc/eval.c
                           minccalc/ident.c
                           minccalc/lex.c
                           minccalc/node.c
                           minccalc/optim.c
                           minccalc/scalar.c
                           minccalc/sym.c
                           minccalc/vector.c)

ADD_EXECUTABLE(../mincconcat mincconcat/mincconcat.c)
ADD_EXECUTABLE(../mincconvert mincconvert/mincconvert.c)
ADD_EXECUTABLE(../minccopy minccopy/minccopy.c)

ADD_EXECUTABLE(../mincdump mincdump/mincdump.c
                            mincdump/vardata.c
                            mincdump/dumplib.c)
                            
ADD_EXECUTABLE(../mincexample1 mincexample/mincexample1.c)
ADD_EXECUTABLE(../mincexample2 mincexample/mincexample2.c)
ADD_EXECUTABLE(../mincexpand mincexpand/mincexpand.c)
ADD_EXECUTABLE(../mincextract mincextract/mincextract.c)

BISON_TARGET(../mincgen mincgen/ncgentab.y mincgen/nccentab.c)
FLEX_TARGET(../mincgen mincgen/ncgenyy.l mincgen/ncgenyy.c)
ADD_EXECUTABLE(../mincgen mincgen/main.c
                          mincgen/escapes.c
                          mincgen/genlib.c
                          mincgen/getfill.c
                          mincgen/init.c
                          mincgen/load.c
                          mincgen/ncgentab.c
                          mincgen/ncgenyy.c)

ADD_EXECUTABLE(../mincinfo mincinfo/mincinfo.c)
ADD_EXECUTABLE(../minclookup minclookup/minclookup.c)
ADD_EXECUTABLE(../mincmakescalar mincmakescalar/mincmakescalar.c)
ADD_EXECUTABLE(../mincmakevector mincmakevector/mincmakevector.c)
ADD_EXECUTABLE(../mincmath mincmath/mincmath.c)
ADD_EXECUTABLE(../minc_modify_header minc_modify_header/minc_modify_header.c)

ADD_EXECUTABLE(../mincresample mincresample/mincresample.c
                               mincresample/resample_volumes.c
                               Proglib/convert_origin_to_start.c)
TARGET_LINK_LIBRARIES(../mincresample volume_io2)

ADD_EXECUTABLE(../mincreshape mincreshape/mincreshape.c
                              mincreshape/copy_data.c)

ADD_EXECUTABLE(../mincstats mincstats/mincstats.c)
ADD_EXECUTABLE(../minctoraw minctoraw/minctoraw.c)
ADD_EXECUTABLE(../mincwindow mincwindow/mincwindow.c)

ADD_EXECUTABLE(../rawtominc rawtominc/rawtominc.c
                            Proglib/convert_origin_to_start.c)

ADD_EXECUTABLE(../voxeltoworld coordinates/voxeltoworld.c)
TARGET_LINK_LIBRARIES(../voxeltoworld volume_io2 minc2)

ADD_EXECUTABLE(../worldtovoxel coordinates/worldtovoxel.c)
TARGET_LINK_LIBRARIES(../worldtovoxel volume_io2 minc2)


ADD_EXECUTABLE(../transformtags xfm/transformtags.c)
TARGET_LINK_LIBRARIES(../transformtags volume_io2 minc2)

ADD_EXECUTABLE(../xfmconcat xfm/xfmconcat.c)
TARGET_LINK_LIBRARIES(../xfmconcat volume_io2 minc2)

ADD_EXECUTABLE(../xfminvert xfm/xfminvert.c)
TARGET_LINK_LIBRARIES(../xfminvert volume_io2 minc2)

# install progs
INSTALL(TARGETS
   ../invert_raw_image 
   ../mincaverage
   ../minccalc
   ../mincconcat
   ../mincconvert
   ../minccopy
   ../mincdump
#   ../mincexample1
#   ../mincexample2
   ../mincexpand
   ../mincextract
   ../mincgen
   ../mincinfo
   ../minclookup
   ../mincmakescalar
   ../mincmakevector
   ../mincmath
   ../minc_modify_header
   ../mincresample
   ../mincreshape
   ../mincstats
   ../minctoraw
   ../mincwindow
   ../rawtominc
   ../voxeltoworld
   ../worldtovoxel
   ../transformtags
   ../xfmconcat
   ../xfminvert
   DESTINATION bin)


# perl and shell scripts
INSTALL(FILES
   mincdiff/mincdiff  
   mincedit/mincedit  
   mincheader/mincheader  
   minchistory/minchistory  
   mincpik/mincpik  
   mincview/mincview
   DESTINATION bin )

## minc 2.0.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -77,7 +77,6 @@
    libsrc/image_conversion.c
    libsrc/minc_convenience.c
    libsrc/minc_error.c
-   libsrc/minc_globdef.c
    libsrc/nd_loop.c
    libsrc/netcdf_convenience.c
    libsrc/time_stamp.c

## minc 2.0.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 SET(CPACK_GENERATOR TGZ)
 SET(CPACK_PACKAGE_VERSION_MAJOR 2)
 SET(CPACK_PACKAGE_VERSION_MINOR 0)
-SET(CPACK_PACKAGE_VERSION_PATCH 14)
+SET(CPACK_PACKAGE_VERSION_PATCH 17)
 INCLUDE(CPack)

## minc 2.0.18+cvs20100518

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,8 @@
 # CMakeFiles.txt for the MINC2 library
 #
 # Andrew Janke - a.janke@gmail.com
+
+CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 
 PROJECT(libminc2)

## minc 2.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,8 +16,8 @@
 # Packaging defines
 SET(CPACK_GENERATOR TGZ)
 SET(CPACK_PACKAGE_VERSION_MAJOR 2)
-SET(CPACK_PACKAGE_VERSION_MINOR 0)
-SET(CPACK_PACKAGE_VERSION_PATCH 17)
+SET(CPACK_PACKAGE_VERSION_MINOR 1)
+SET(CPACK_PACKAGE_VERSION_PATCH 1)
 INCLUDE(CPack)
 
 
@@ -28,20 +28,20 @@
 SET(PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
 SET(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
 
-
-# yes, build as minc2
-SET(MINC2 "1")
+OPTION(BUILD_MINC2      "Support minc2 file format" ON)
+OPTION(BUILD_TOOLS      "Build minc tools (mincreshape,mincresample, etc)" ON)
+OPTION(BUILD_CONVERTERS "Build minc conversion programs (mnc2nii, nii2mnc , dcm2mnc...)" ON)
+OPTION(BUILD_EZMINC     "Build C++ interface library EZminc" ON)
+IF(BUILD_EZMINC)
+OPTION(BUILD_MINC4ITK   "Build ITK interface" ON)
+ENDIF(BUILD_EZMINC)
+
+
 ADD_DEFINITIONS(-DHAVE_CONFIG_H)
 
 # aliases
 SET(VERSION "${PACKAGE_VERSION}")
 
-# progs needed to build
-#SET(FLEX_FIND_REQUIRED)
-#SET(BISON_FIND_REQUIRED)
-#FIND_PACKAGE(BISON)
-#FIND_PACKAGE(FLEX)
-
 # check for prereqs
 INCLUDE(CheckFunctionExists)
 
@@ -52,11 +52,15 @@
 CHECK_INCLUDE_FILES(float.h HAVE_FLOAT_H)
 
 # netcdf and HDF5
-SET(NETCDF_FIND_REQUIRED TRUE)
-SET(HDF5_FIND_REQUIRED TRUE)
-FIND_PACKAGE(HDF5)
-FIND_PACKAGE(NETCDF)
-INCLUDE_DIRECTORIES( ${NETCDF_INCLUDE_DIR} ${HDF5_INCLUDE_DIR} )
+FIND_PACKAGE(NETCDF REQUIRED)
+INCLUDE_DIRECTORIES( ${NETCDF_INCLUDE_DIR} )
+
+IF(BUILD_MINC2)
+  FIND_PACKAGE(HDF5 REQUIRED)
+  FIND_PACKAGE(ZLIB REQUIRED)
+  SET(MINC2 "1")
+  INCLUDE_DIRECTORIES( ${HDF5_INCLUDE_DIR} )
+ENDIF(BUILD_MINC2)
 
 # config files for build
 CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_SOURCE_DIR}/config.h)
@@ -68,9 +72,15 @@
 INCLUDE_DIRECTORIES(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/libsrc
+   ${CMAKE_SOURCE_DIR}/volume_io/Include
+   )
+
+IF(BUILD_MINC2)
+  INCLUDE_DIRECTORIES(
    ${CMAKE_SOURCE_DIR}/libsrc2
-   ${CMAKE_SOURCE_DIR}/volume_io/Include
-   )
+   )
+ENDIF(BUILD_MINC2)
+
 
 # some variables
 SET(minc1_LIB_SRCS
@@ -105,26 +115,56 @@
    libsrc2/volume.c
    )
 
+SET(minc_LIB minc)
+
+IF(BUILD_MINC2)
+  SET(minc_LIB_SRCS ${minc1_LIB_SRCS} ${minc2_LIB_SRCS})
+  SET(minc_LIB minc2)
+  ADD_LIBRARY(minc2 STATIC ${minc_LIB_SRCS} )
+
+  TARGET_LINK_LIBRARIES(minc2 ${NETCDF_LIBRARY} ${HDF5_LIBRARY} ${ZLIB_LIBRARIES} m )
+
+  INSTALL(TARGETS minc2 ARCHIVE DESTINATION lib)
+
+  INSTALL(FILES libsrc/minc.h libsrc/ParseArgv.h 
+    libsrc/voxel_loop.h 
+    libsrc/nd_loop.h
+    libsrc/time_stamp.h
+    libsrc/minc_compat.h
+    volume_io/Include/volume_io.h
+    libsrc2/minc2.h
+    libsrc/minc_simple.h
+    DESTINATION include
+    )
+
+  SET_TARGET_PROPERTIES(minc2 PROPERTIES VERSION ${PACKAGE_VERSION} SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR})
+
+ELSE(BUILD_MINC2)
+
+    SET(minc_LIB_SRCS ${minc1_LIB_SRCS} )
+    SET(minc_LIB minc)
+    ADD_LIBRARY(minc STATIC ${minc1_LIB_SRCS} )
+    TARGET_LINK_LIBRARIES(minc ${NETCDF_LIBRARY} )
+    INSTALL(TARGETS minc ARCHIVE DESTINATION lib)
+
+    INSTALL(FILES libsrc/minc.h libsrc/ParseArgv.h 
+      libsrc/voxel_loop.h 
+      libsrc/nd_loop.h
+      libsrc/time_stamp.h
+      libsrc/minc_compat.h
+      volume_io/Include/volume_io.h
+      libsrc/minc_simple.h
+      DESTINATION include
+      )
+
+    SET_TARGET_PROPERTIES(minc PROPERTIES VERSION ${PACKAGE_VERSION} SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR})
+
+ENDIF(BUILD_MINC2)
 
 # build the main minc2 library
-ADD_LIBRARY(minc2 STATIC ${minc1_LIB_SRCS} ${minc2_LIB_SRCS})
-INSTALL(TARGETS minc2 DESTINATION lib)
-INSTALL(FILES libsrc/minc.h libsrc/ParseArgv.h 
-   libsrc/voxel_loop.h 
-   libsrc/nd_loop.h
-   libsrc/time_stamp.h
-   libsrc/minc_compat.h
-   volume_io/Include/volume_io.h
-   libsrc2/minc2.h
-   libsrc/minc_simple.h
-   DESTINATION include
-   )
-
-SET_TARGET_PROPERTIES(minc2 PROPERTIES VERSION ${PACKAGE_VERSION} SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR})
-
 
 # volume_io2
-SET(volume_io2_LIB_SRCS
+SET(volume_io_LIB_SRCS
    volume_io/Geometry/colour.c
    volume_io/Geometry/colour_def.c
    volume_io/Geometry/gaussian.c
@@ -161,9 +201,20 @@
    volume_io/Volumes/volumes.c
    )
 
-# build and install volume_io2 library
-ADD_LIBRARY(volume_io2 STATIC ${volume_io2_LIB_SRCS})
-INSTALL(TARGETS volume_io2 DESTINATION lib)
+IF(BUILD_MINC2)
+  # build and install volume_io2 library
+  ADD_LIBRARY(volume_io2 STATIC ${volume_io_LIB_SRCS})
+  INSTALL(TARGETS volume_io2 ARCHIVE DESTINATION lib)
+  SET_TARGET_PROPERTIES(volume_io2 PROPERTIES VERSION ${PACKAGE_VERSION} SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR})
+  SET( volume_io_LIB volume_io2)
+
+ELSE(BUILD_MINC2)
+  ADD_LIBRARY(volume_io STATIC ${volume_io_LIB_SRCS})
+  INSTALL(TARGETS volume_io ARCHIVE DESTINATION lib)
+  SET_TARGET_PROPERTIES(volume_io PROPERTIES VERSION ${PACKAGE_VERSION} SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR})
+  SET( volume_io_LIB volume_io)
+ENDIF(BUILD_MINC2)
+
 INSTALL(FILES volume_io/Include/volume_io/alloc.h
 	volume_io/Include/volume_io/arrays.h 
 	volume_io/Include/volume_io/basic.h 
@@ -182,13 +233,20 @@
 	volume_io/Include/volume_io/volume_cache.h
    DESTINATION include/volume_io)
 
-SET_TARGET_PROPERTIES(volume_io2 PROPERTIES VERSION ${PACKAGE_VERSION} SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR})
-
-
+IF(BUILD_TOOLS)
 # now build the progs subdir
 ADD_SUBDIRECTORY( progs )
-
-
+ENDIF(BUILD_TOOLS)
+
+IF(BUILD_CONVERTERS)
 # and then the conversion subdir
 ADD_SUBDIRECTORY( conversion )
-
+ENDIF(BUILD_CONVERTERS)
+
+IF(BUILD_EZMINC)
+ADD_SUBDIRECTORY( ezminc )
+ENDIF(BUILD_EZMINC)
+
+IF(BUILD_MINC4ITK AND BUILD_EZMINC)
+ADD_SUBDIRECTORY( minc4itk )
+ENDIF(BUILD_MINC4ITK AND BUILD_EZMINC)

=== conversion/CMakeLists.txt ===
# CMakeFiles.txt for the MINC2 conversion progs
#
# Andrew Janke - a.janke@gmail.com

#LINK_DIRECTORIES()
IF(BUILD_MINC2)
  LINK_LIBRARIES( minc2 ${NETCDF_LIBRARY} ${HDF5_LIBRARY} )
ELSE(BUILD_MINC2)
  LINK_LIBRARIES( minc ${NETCDF_LIBRARY} )
ENDIF(BUILD_MINC2)

ADD_DEFINITIONS(-DHAVE_CONFIG_H)


# conversion progs (and libraries)
INCLUDE_DIRECTORIES(Acr_nema)
ADD_LIBRARY(acr_nema STATIC 
   Acr_nema/acr_io.c
   Acr_nema/dicom_client_routines.c
   Acr_nema/dicom_network.c
   Acr_nema/element.c
   Acr_nema/file_io.c
   Acr_nema/globals.c
   Acr_nema/group.c
   Acr_nema/message.c
   Acr_nema/value_repr.c)

ADD_EXECUTABLE(dcm2mnc
   dcm2mnc/dcm2mnc.c
   dcm2mnc/dicom_to_minc.c
   dcm2mnc/siemens_to_dicom.c
   dcm2mnc/dicom_read.c
   dcm2mnc/minc_file.c
   dcm2mnc/progress.c
   dcm2mnc/string_to_filename.c)
TARGET_LINK_LIBRARIES(dcm2mnc acr_nema )

ADD_EXECUTABLE(ecattominc
   ecattominc/ecattominc.c
   ecattominc/insertblood.c
   ecattominc/ecat_file.c
   ecattominc/machine_indep.c
   )
ADD_EXECUTABLE(minctoecat
   minctoecat/minctoecat.c
   minctoecat/ecat_write.c
   minctoecat/machine_indep.c
   )

IF(BUILD_MINC2)
  TARGET_LINK_LIBRARIES(minctoecat volume_io2 minc2)
ELSE(BUILD_MINC2)
  TARGET_LINK_LIBRARIES(minctoecat volume_io minc)
ENDIF(BUILD_MINC2)


ADD_EXECUTABLE(mnc2nii
   nifti1/mnc2nii.c
   nifti1/nifti1_io.c
   nifti1/znzlib.c
   )
ADD_EXECUTABLE(nii2mnc
   nifti1/nii2mnc.c
   nifti1/nifti1_io.c
   nifti1/znzlib.c
   )

IF(BUILD_MINC2)
  TARGET_LINK_LIBRARIES(nii2mnc volume_io2 minc2)
ELSE(BUILD_MINC2)
  TARGET_LINK_LIBRARIES(nii2mnc volume_io minc)
ENDIF(BUILD_MINC2)

ADD_EXECUTABLE(upet2mnc
   micropet/upet2mnc.c
   )

ADD_EXECUTABLE(vff2mnc
   vff2mnc/vff2mnc.c
   )


# install progs
INSTALL(TARGETS
   dcm2mnc
   ecattominc
   minctoecat
   mnc2nii
   nii2mnc
   upet2mnc
   vff2mnc
   DESTINATION bin)

=== progs/CMakeLists.txt ===
# CMakeFiles.txt for the MINC2 progs
#
# Andrew Janke - a.janke@gmail.com

#SET(CMAKE_MODULE_PATH "cmake-modules")

#LINK_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR}/..)
INCLUDE_DIRECTORIES(Proglib)

LINK_LIBRARIES( ${minc_LIB} )
ADD_DEFINITIONS(-DHAVE_CONFIG_H)

#SET(BISON_FIND_REQUIRED)
#SET(FLEX_FIND_REQUIRED)

FIND_PACKAGE(BISON)
FIND_PACKAGE(FLEX)

# all the progs
ADD_EXECUTABLE(invert_raw_image mincview/invert_raw_image.c)
ADD_EXECUTABLE(mincaverage mincaverage/mincaverage.c)

IF(BISON_FOUND AND FLEX_FOUND)
  include_directories(${CMAKE_CURRENT_BINARY_DIR} minccalc)
  
  BISON_TARGET(gram ${CMAKE_CURRENT_SOURCE_DIR}/minccalc/gram.y ${CMAKE_CURRENT_BINARY_DIR}/gram.c COMPILE_FLAGS "--debug")
  FLEX_TARGET(lex ${CMAKE_CURRENT_SOURCE_DIR}/minccalc/lex.l ${CMAKE_CURRENT_BINARY_DIR}/lex.c  )
  #ADD_FLEX_BISON_DEPENDENCY(gram lex)

  ADD_EXECUTABLE(minccalc 
                  minccalc/minccalc.c
                  minccalc/eval.c
                  minccalc/ident.c
                  minccalc/node.c
                  minccalc/optim.c
                  minccalc/scalar.c
                  minccalc/sym.c
                  minccalc/vector.c
                  ${FLEX_lex_OUTPUTS}
                  ${BISON_gram_OUTPUTS}
                 )

  TARGET_LINK_LIBRARIES(minccalc ${FLEX_LIBRARIES})

  INSTALL( TARGETS minccalc  DESTINATION bin)

  include_directories(${CMAKE_CURRENT_BINARY_DIR} mincgen)
  BISON_TARGET(ncgentab ${CMAKE_CURRENT_SOURCE_DIR}/mincgen/ncgentab.y ${CMAKE_CURRENT_BINARY_DIR}/ncgentab.c)
  FLEX_TARGET(ncgenyy ${CMAKE_CURRENT_SOURCE_DIR}/mincgen/ncgenyy.l ${CMAKE_CURRENT_BINARY_DIR}/ncgenyy.c)
  #ADD_FLEX_BISON_DEPENDENCY(ncgenyy ncgentab)

  ADD_EXECUTABLE(mincgen mincgen/main.c
                            ${BISON_ncgentab_OUTPUTS}
                            ${FLEX_ncgenyy_OUTPUTS}
                            mincgen/escapes.c
                            mincgen/genlib.c
                            mincgen/getfill.c
                            mincgen/init.c
                            mincgen/load.c)
  INSTALL( TARGETS mincgen    DESTINATION bin)

  TARGET_LINK_LIBRARIES(mincgen ${FLEX_LIBRARIES})

ENDIF(BISON_FOUND AND FLEX_FOUND)

ADD_EXECUTABLE(mincconcat mincconcat/mincconcat.c)
ADD_EXECUTABLE(mincconvert mincconvert/mincconvert.c)
ADD_EXECUTABLE(minccopy minccopy/minccopy.c)

ADD_EXECUTABLE(mincdump mincdump/mincdump.c
                            mincdump/vardata.c
                            mincdump/dumplib.c)
                            
ADD_EXECUTABLE(mincexample1 mincexample/mincexample1.c)
ADD_EXECUTABLE(mincexample2 mincexample/mincexample2.c)
ADD_EXECUTABLE(mincexpand mincexpand/mincexpand.c)
ADD_EXECUTABLE(mincextract mincextract/mincextract.c)
ADD_EXECUTABLE(mincinfo mincinfo/mincinfo.c)
ADD_EXECUTABLE(minclookup minclookup/minclookup.c)
ADD_EXECUTABLE(mincmakescalar mincmakescalar/mincmakescalar.c)
ADD_EXECUTABLE(mincmakevector mincmakevector/mincmakevector.c)
ADD_EXECUTABLE(mincmath mincmath/mincmath.c)
ADD_EXECUTABLE(minc_modify_header minc_modify_header/minc_modify_header.c)

ADD_EXECUTABLE(mincresample mincresample/mincresample.c
                               mincresample/resample_volumes.c
                               Proglib/convert_origin_to_start.c)
TARGET_LINK_LIBRARIES(mincresample ${volume_io_LIB} ${minc_LIB})

ADD_EXECUTABLE(mincreshape mincreshape/mincreshape.c
                              mincreshape/copy_data.c)

ADD_EXECUTABLE(mincstats mincstats/mincstats.c)
ADD_EXECUTABLE(minctoraw minctoraw/minctoraw.c)
ADD_EXECUTABLE(mincwindow mincwindow/mincwindow.c)

ADD_EXECUTABLE(rawtominc rawtominc/rawtominc.c
                            Proglib/convert_origin_to_start.c)

ADD_EXECUTABLE(voxeltoworld coordinates/voxeltoworld.c)
TARGET_LINK_LIBRARIES(voxeltoworld ${volume_io_LIB} ${minc_LIB})

ADD_EXECUTABLE(worldtovoxel coordinates/worldtovoxel.c)
TARGET_LINK_LIBRARIES(worldtovoxel ${volume_io_LIB} ${minc_LIB})


ADD_EXECUTABLE(transformtags xfm/transformtags.c)
TARGET_LINK_LIBRARIES(transformtags ${volume_io_LIB} ${minc_LIB})

ADD_EXECUTABLE(xfmconcat xfm/xfmconcat.c)
TARGET_LINK_LIBRARIES(xfmconcat ${volume_io_LIB} ${minc_LIB})

ADD_EXECUTABLE(xfminvert xfm/xfminvert.c)
TARGET_LINK_LIBRARIES(xfminvert ${volume_io_LIB} ${minc_LIB})

# install progs
INSTALL(TARGETS
   invert_raw_image 
   mincaverage
   mincconcat
   mincconvert
   minccopy
   mincdump
#   mincexample1
#   mincexample2
   mincexpand
   mincextract
   mincinfo
   minclookup
   mincmakescalar
   mincmakevector
   mincmath
   minc_modify_header
   mincresample
   mincreshape
   mincstats
   minctoraw
   mincwindow
   rawtominc
   voxeltoworld
   worldtovoxel
   transformtags
   xfmconcat
   xfminvert
   DESTINATION bin)

# perl and shell scripts
INSTALL(FILES
   mincdiff/mincdiff  
   mincedit/mincedit  
   mincheader/mincheader  
   mincpik/mincpik  
   mincview/mincview
   PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ  WORLD_EXECUTE WORLD_READ
   DESTINATION bin )


configure_file(minchistory/minchistory.in ${CMAKE_CURRENT_BINARY_DIR}/minchistory @ONLY)
add_custom_target(minchistory chmod +x ${CMAKE_CURRENT_BINARY_DIR}/minchistory DEPENDS minchistory/minchistory.in)

INSTALL(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/minchistory
  PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ  WORLD_EXECUTE WORLD_READ
   DESTINATION bin )

=== debian/changelog ===
minc (2.1.10-1) unstable; urgency=low

  * New upstream.
  
  * patches/03_mincview.diff: Remove.  Script mincview rewritten to use
    Imagemagick
  
  * patches/decompress-whole-file.diff:
  * patches/read_file_names-refactor.patch: Remove.  Applied upstream.
  * rules: Remove use of dh_autoreconf.

  * patches/hdfv2-fixes.patch: New.  Ensure using HDF5 v2 API.
  
  * control: Remove dependency and build-dependency on csh.

 -- Steve M. Robbins <smr@debian.org>  Sun, 26 Feb 2012 01:37:47 -0600

minc (2.1.00-5) unstable; urgency=low

  * patches/mincaverage-pathmax.patch: Remove.
  * patches/read_file_names-refactor.patch: New.  Refactored duplicated
    PATH_MAX-using code into library.  Need to run autoreconf because
    Makefile.am changed.
  
  * rules: Fix errors and really disable tests on sparc.

 -- Steve M. Robbins <smr@debian.org>  Mon, 20 Feb 2012 15:00:32 -0600

minc (2.1.00-4) unstable; urgency=low

  * source/format: Set to 3.0 (quilt), so that patches are applied.
  
  * patches/mincaverage-pathmax.patch: New.  Work around missing PATH_MAX
    definition; fixes FTBFS on hurd.
  
  * rules: Tests are buggy, but do work on most architectures.  Disable on
    sparc.

 -- Steve M. Robbins <smr@debian.org>  Sun, 19 Feb 2012 21:58:51 -0600

minc (2.1.00-3) unstable; urgency=low

  * control: Switch to (serial) libhdf5-dev, to avoid conflict with serial
    netcdf.  Closes: #658307.
  
  * control:
  * rules: Switch from cdbs to debhelper's dh (compat level 9).

 -- Steve M. Robbins <smr@debian.org>  Sun, 19 Feb 2012 08:53:04 -0600

minc (2.1.00-2) unstable; urgency=low

  * patches/decompress-whole-file.diff: New.  Always decompress entire
    file to support compressed MINC2 files.  Closes: #585676.

 -- Steve M. Robbins <smr@debian.org>  Sun, 18 Dec 2011 20:47:03 -0600

minc (2.1.00-1) unstable; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Tue, 17 Aug 2010 22:26:16 -0500

minc (2.0.18+cvs20100518-1) unstable; urgency=low

  * Pull upstream CVS, contains fixes for netcdf 4.  Closes: #577060,
    #581296.
  
  * control: replace libhdf5-*-dev (differing by architecture) by
    libhdf5-mpi-dev.

 -- Steve M. Robbins <smr@debian.org>  Tue, 18 May 2010 22:53:30 -0500

minc (2.0.18-1) unstable; urgency=low

  * New upstream version.

 -- Steve M. Robbins <smr@debian.org>  Mon, 20 Jul 2009 05:24:57 -0500

minc (2.0.17-1) unstable; urgency=low

  * New upstream version.

  * patches/04_manpages.diff:
  * debian/patches/05_parseargv.diff: Remove; applied upstream.
  
 -- Steve M. Robbins <smr@debian.org>  Tue, 20 Jan 2009 19:37:41 -0600

minc (2.0.16-4) unstable; urgency=low

  * debian/patches/05_parseargv.diff: New.  Patch from upstream to fix arg
    parsing on 64bits.  Closes: #510629.  This was also the root cause of
    mincheader and mincdiff failing.  Closes: #506276.
  
  * debian/control: Add ${misc:Depends}, since we use debhelper.
  
  * debian/rules: Do not install test code acr_test, dicom_test.

 -- Steve M. Robbins <smr@debian.org>  Sat, 03 Jan 2009 16:29:06 -0600

minc (2.0.16-3) unstable; urgency=low

  * debian/control: Extend previous fix from build-depends to libminc-dev
    depends; i.e. use OpenMPI, except for certain architectures that it
    doesn't support; in the latter case, use LAM.

 -- Steve M. Robbins <smr@debian.org>  Thu, 30 Oct 2008 01:10:55 -0500

minc (2.0.16-2) unstable; urgency=low

  * debian/control: Use OpenMPI, except for certain architectures that it
    doesn't support; in the latter case, use LAM.

 -- Steve M. Robbins <smr@debian.org>  Mon, 27 Oct 2008 01:11:21 -0500

minc (2.0.16-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/02_mincedit-no-escape-chars: Remove.  Applied upstream.
  
  * debian/control: Switch dependencies from libhdf5-serial-dev to
    libhdf5-openmpi-dev.
  * debian/rules: Add CFLAGS=-I/usr/include/mpi to configure step so that
    mpi.h is found.

  * debian/control: Remove tetex-bin from build-depends (was alternative
    to texlive-latex-base).  Update Standards-Version to 3.8.0 (no
    changes).
  
  * debian/patches/04_manpages.diff: Fix errors in manpages, mainly
    removal of trailing TAB characters.
  
  * debian/rules: Adhere to parallel keyword in DEB_BUILD_OPTIONS.

 -- Steve M. Robbins <smr@debian.org>  Sat, 11 Oct 2008 23:55:42 -0500

minc (2.0.15-3) unstable; urgency=low

  [ Charles Plessy ]
  * debian/copyright: added upstream contact information.

  [ Steve M. Robbins ]
  * debian/patches/02_mincedit-no-escape-chars.diff: New.  Patch mincedit
    to remove extraneous \n strings.  Closes: 486048.
  * debian/control: Replace depends on netcdfg-dev by libnetcdf-dev.

 -- Steve M. Robbins <smr@debian.org>  Thu, 19 Jun 2008 07:40:18 -0500

minc (2.0.15-2) unstable; urgency=low

  [ David Paleino ]
  * debian/rules:
    - conditionally add -mieee on Alpha (Closes: #368263)
  
  [ Steve M. Robbins ]
  * debian/rules: Do not run the tests, since they are broken in many
    ways; e.g. int functions without a return statement, checking
    floating-point values without a tolerance, and some that require a
    list of files on the command line but are given none.  
    Closes: #475808.

 -- Steve M. Robbins <smr@debian.org>  Thu, 05 Jun 2008 09:24:59 -0500

minc (2.0.15-1) unstable; urgency=low

  [ Charles Plessy ]
  * Changed the doc-base section according to the new policy.

  [ David Paleino ]
  * New upstream release
  * debian/patches/:
    - 01_mincedit-sensible-viewer.diff updated
    - 02_testdir-runtests.diff removed, it has been merged upstream

 -- Steve M. Robbins <smr@debian.org>  Sat, 31 May 2008 05:53:26 -0500

minc (2.0.14-2) unstable; urgency=low

  * rules: Don't install byte_swap or extract; can use "dd" instead of
    these tools.  Closes: #459834.
  
  * control: Package minc-tools depends on libgetopt-tabular-perl.
  * rules: Don't install Tabular.pm.
  * Getopt-Tabular-0.3/Tabular.pm: Remove.
  * patches/04_progs-use-lib.diff: Remove.


=== debian/control ===
Source: minc
Homepage: http://www.bic.mni.mcgill.ca/ServicesSoftware/HomePage
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf,
  libnetcdf-dev, zlib1g-dev, texlive-latex-base, libhdf5-dev
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/minc/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/minc/trunk/?rev=0&sc=0

Package: minc-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, netcdf-bin, libgetopt-tabular-perl, libtext-format-perl, imagemagick
Description: MNI medical image format tools
 This package contains tools to manipulate MINC files.
 .
 The Minc file format is a highly flexible medical image file format
 built on top of the NetCDF generalized data format. The format is
 simple, self-describing, extensible, portable and N-dimensional, with
 programming interfaces for both low-level data access and high-level
 volume manipulation. On top of the libraries is a suite of generic
 image-file manipulation tools. The format, libraries and tools are
 designed for use in a medical-imaging research environment: they are
 simple and powerful and make no attempt to provide a pretty interface
 to users.

Package: libminc2-1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MNI medical image format library
 This package contains the libraries libminc2 and libvolume_io2.
 .
 The Minc file format is a highly flexible medical image file format.
 Minc version 1 is built on top of the NetCDF generalized data format. 
 Minc version 2 is built on top of the HDF data format.  This library
 handles both formats.  In each case the format is
 simple, self-describing, extensible, portable and N-dimensional, with
 programming interfaces for both low-level data access and high-level
 volume manipulation. On top of the libraries is a suite of generic
 image-file manipulation tools. The format, libraries and tools are
 designed for use in a medical-imaging research environment : they are
 simple and powerful and make no attempt to provide a pretty interface
 to users.

Package: libminc-dev
Conflicts: libminc0-dev
Replaces: libminc0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libminc2-1 (= ${binary:Version}), libnetcdf-dev, libhdf5-dev
Description: MNI medical image format development environment
 This package contains the library and headers for libminc2 and
 libvolume_io2.
 .
 The Minc file format is a highly flexible medical image file format.
 Minc version 1 is built on top of the NetCDF generalized data format. 
 Minc version 2 is built on top of the HDF data format.  This library
 handles both formats.  In each case the format is
 simple, self-describing, extensible, portable and N-dimensional, with
 programming interfaces for both low-level data access and high-level
 volume manipulation. On top of the libraries is a suite of generic
 image-file manipulation tools. The format, libraries and tools are
 designed for use in a medical-imaging research environment : they are
 simple and powerful and make no attempt to provide a pretty interface
 to users.

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ --parallel --with autotools_dev


ARCH  := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
# Tests are buggy; disable test on sparc
ifeq ($(ARCH),sparc)
	DEB_BUILD_OPTIONS += nocheck
endif



DEB_CONFIGURE_EXTRA_FLAGS = --enable-shared --enable-minc2 --enable-acr-nema CFLAGS="$(CFLAGS)"


override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

ps_docs = doc/prog_ref.ps doc/prog_guide.ps volume_io/Documentation/volume_io.ps

doc/prog_ref.ps doc/prog_guide.ps:
	$(MAKE) -C doc docs

volume_io/Documentation/volume_io.ps:
	$(MAKE) -C volume_io/Documentation docs

override_dh_install: $(ps_docs)
	# minc-tools
	rm -f debian/tmp/usr/bin/byte_swap
	rm -f debian/tmp/usr/bin/extract
	rm -f debian/tmp/usr/bin/acr_test
	rm -f debian/tmp/usr/bin/dicom_test
	dh_install -pminc-tools --autodest debian/tmp/usr/bin
	dh_install -pminc-tools --autodest debian/tmp/usr/share/man
	dh_link -pminc-tools \
		/usr/share/man/man1/voxeltoworld.1 \
		/usr/share/man/man1/worldtovoxel.1
	# libminc2-1
	dh_install -plibminc2-1 --autodest debian/tmp/usr/lib/*/lib*.so.*
	# libminc-dev
	dh_install -plibminc-dev --autodest debian/tmp/usr/lib/*/lib*.so
	dh_install -plibminc-dev --autodest  debian/tmp/usr/lib/*/lib*.a
	dh_install -plibminc-dev --autodest  debian/tmp/usr/include
	dh_installdocs -plibminc-dev $(ps_docs) debian/index.html
